%define		oname		Falkon
%define		major		%{version}
%define		libname		%mklibname %{name}private %{major}

Name:		falkon
Summary:	Cross-platform Qt Web Browser based on QtWebEngine
Version:	23.08.5
Release:	%mkrel 1
Group:		Networking/WWW
License:	GPLv3+ and BSD and LGPLv2+ and GPLv2+ and MPL
URL:		http://www.qupzilla.com/
Source0:	http://download.kde.org/stable/falkon/%{version}/%{name}-%{version}.tar.xz
Patch0:		falkon-3.1.0-native-scrollbars.patch

BuildRequires:	kf5-macros
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	qttools5
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(xcb-util)

Provides:	bundled(qtsingleapplication-qt5)
Provides:	webclient
Requires:	qtbase5-database-plugin-sqlite
Requires:	qtwebengine5
Requires:	%{name}-plugins	= %{version}-%{release}
Requires:   lib64minizip1

%description
Falkon is a new KDE web browser, previously known as QupZilla.
Following this release, there will only be one last final QupZilla
release.

Falkon is a new and very fast QtWebEngine browser. It aims to be a lightweight
web browser available through all major platforms. This project has been
originally started only for educational purposes. But from its start, Falkon
has grown into a feature-rich browser.

Falkon has all standard functions you expect from a web browser. It includes
bookmarks, history (both also in sidebar) and tabs. Above that, you can manage
RSS feeds with an included RSS reader, block ads with a builtin AdBlock plugin,
block Flash content with Click2Flash and edit the local CA Certificates
database with an SSL Manager.

Falkon's main aim is to be a very fast and very stable QtWebEngine browser
available to everyone. There are already a lot of QtWebEngine browsers available,
but they are either bound to the KDE environment (rekonq), are not actively
developed or very unstable and miss important features. But there is missing
a multiplatform, modern and actively developed browser. Falkon is trying
to fill this gap by providing a very stable browsing experience.

If you were previously using QupZilla, you can manually migrate
your profiles to Falkon by moving the config directory (usually
in ~/.config/qupzilla/).
There is no automatic migration.


%package plugins
Summary:	Various plugins for %{oname} web browser
Group:		Networking/WWW
Requires:	%{name} = %{version}

%description plugins
Falkon Plugins are dynamically loaded shared libraries (*.so) that can extend
application in almost any way. This package contains the following plugins:

* Mouse Gestures
* Access Keys Navigation
* Personal Information Manager
* GreaseMonkey

%package gnome-keyring
Summary:	GNOME keyring plugin for %{oname} web browser
Group:		Networking/WWW
BuildRequires:	pkgconfig(gnome-keyring-1)
Requires:	%{name} = %{version}-%{release}

%description gnome-keyring
Plugin for %{oname} web browser that allows to store passwords in
GNOME Keyring.

%package kde
Summary:	KDE Frameworks Integration plugin for %{oname} web browser
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description kde
Plugin for Falkon adding support for:

* storing passwords securely in KWallet,
* additional URL protocols using KIO (e.g., man:, info:, gopher:, etc.),
* a "Share page" menu using the KDE Purpose Framework,
* intercepting crashes with KCrash, bringing up the DrKonqi crash handler.


%prep
%setup -q
%autopatch -p1

dos2unix README.md

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/org.kde.%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
%dir %{_qt5_plugindir}/%{name}
%{_datadir}/locale
%{_libdir}/libFalkonPrivate.so.%{major}*
%{_libdir}/libFalkonPrivate.so.3


%files plugins
%{_qt5_plugindir}/%{name}/AutoScroll.so
%{_qt5_plugindir}/%{name}/FlashCookieManager.so
%{_qt5_plugindir}/%{name}/GreaseMonkey.so
%{_qt5_plugindir}/%{name}/MouseGestures.so
%{_qt5_plugindir}/%{name}/PIM.so
%{_qt5_plugindir}/%{name}/StatusBarIcons.so
%{_qt5_plugindir}/%{name}/TabManager.so
%{_qt5_plugindir}/%{name}/VerticalTabs.so
 %{_qt5_plugindir}/falkon/PyFalkon.so
 %{_qt5_plugindir}/falkon/middleclickloader/__init__.py
 %{_qt5_plugindir}/falkon/middleclickloader/i18n.py
 %{_qt5_plugindir}/falkon/middleclickloader/mcl_handler.py
 %{_qt5_plugindir}/falkon/middleclickloader/mcl_loadmode.py
 %{_qt5_plugindir}/falkon/middleclickloader/mcl_settings.py
 %{_qt5_plugindir}/falkon/middleclickloader/mcl_settings.ui
 %{_qt5_plugindir}/falkon/middleclickloader/metadata.desktop
 %{_qt5_plugindir}/falkon/runaction/__init__.py
 %{_qt5_plugindir}/falkon/runaction/action.py
 %{_qt5_plugindir}/falkon/runaction/actionmanager.py
 %{_qt5_plugindir}/falkon/runaction/actions/dictionary.desktop
 %{_qt5_plugindir}/falkon/runaction/actions/google.png
 %{_qt5_plugindir}/falkon/runaction/actions/googleimagesearch.desktop
 %{_qt5_plugindir}/falkon/runaction/actions/mpv.desktop
 %{_qt5_plugindir}/falkon/runaction/actions/tineye.png
 %{_qt5_plugindir}/falkon/runaction/actions/tineyeimagesearch.desktop
 %{_qt5_plugindir}/falkon/runaction/actions/translate.desktop
 %{_qt5_plugindir}/falkon/runaction/actions/translate.png
 %{_qt5_plugindir}/falkon/runaction/actions/w3.desktop
 %{_qt5_plugindir}/falkon/runaction/actions/w3.png
 %{_qt5_plugindir}/falkon/runaction/actions/yandex.png
 %{_qt5_plugindir}/falkon/runaction/actions/yandeximagesearch.desktop
 %{_qt5_plugindir}/falkon/runaction/button.py
 %{_qt5_plugindir}/falkon/runaction/i18n.py
 %{_qt5_plugindir}/falkon/runaction/icon.svg
 %{_qt5_plugindir}/falkon/runaction/metadata.desktop
 %{_qt5_plugindir}/falkon/runaction/runaction.py
 %{_qt5_plugindir}/falkon/runaction/settings.ui
 %{_qt5_plugindir}/falkon/runaction/settingsdialog.py


%files gnome-keyring
%{_qt5_plugindir}/%{name}/GnomeKeyringPasswords.so

%files kde
%{_qt5_plugindir}/%{name}/KDEFrameworksIntegration.so


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

